Open SCAP Library: oval_results_model Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_results_model Struct Reference
OVAL » OVALRES

OVAL Results Model holds OVAL results structure instances. More...

`#include <oval_results.h>`

## Public Member Functions
struct oval_results_model * | oval_results_model_new (struct oval_definition_model *definition_model, struct oval_syschar_model **)
| Create new oval_results_model. More...
int | oval_results_model_import_source (struct oval_results_model *model, struct oscap_source *source)
| Import the content from the oscap_source into an oval_result_model. More...
int | oval_results_model_import (struct oval_results_model *model, const char *file)
| Import the content from the file into an oval_result_model. More...
struct oval_results_model * | oval_results_model_clone (struct oval_results_model *)
| Copy an oval_results_model. More...
void | oval_results_model_free (struct oval_results_model *model)
| Free memory allocated to a specified oval results model. More...
int | oval_results_model_export (struct oval_results_model *, struct oval_directives_model *, const char *file)
| Export oval results into file. More...
Getters
struct oval_definition_model * | oval_results_model_get_definition_model (struct oval_results_model *model)
| Return bound definition model from an oval_results_model. More...
struct oval_result_system_iterator * | oval_results_model_get_systems (struct oval_results_model *)
| Return iterator over reporting systems. More...

## Data Fields
struct oval_generator * | generator
struct oval_directives_model * | directives_model
struct oval_definition_model * | definition_model
struct oval_collection * | systems

## Detailed Description

OVAL Results Model holds OVAL results structure instances.

The documentation for this struct was generated from the following files:

- oval_resModel.c
- oval_results.h